### Method

# Ide LspClient set_initialization_options

#### Declaration

    void
    ide_lsp_client_set_initialization_options (
      IdeLspClient* self,
      GVariant* options
    )

#### Description

Sets the `initilizationOptions` to send to the language server when the server is initialized.

if `options` is floating, the floating reference will be taken when calling this function otherwise the reference count of `options` will be incremented by one.

Available since: | 42.0

Sets property | `Ide.LspClient:initialization-options`

#### Parameters

`options` | `GVariant`
| A `GVariant` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.